aboutsummaryrefslogtreecommitdiffstats
path: root/community/xinput_calibrator
diff options
context:
space:
mode:
Diffstat (limited to 'community/xinput_calibrator')
-rw-r--r--community/xinput_calibrator/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/community/xinput_calibrator/APKBUILD b/community/xinput_calibrator/APKBUILD
new file mode 100644
index 0000000000..c4828e1a49
--- /dev/null
+++ b/community/xinput_calibrator/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xinput_calibrator
+pkgver=0.7.5
+pkgrel=0
+pkgdesc="A generic touchscreen calibration program for X.Org"
+url="http://www.freedesktop.org/wiki/Software/xinput_calibrator"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="libxtst-dev libxrandr-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://github.com/downloads/tias/xinput_calibrator/xinput_calibrator-$pkgver.tar.gz"
+
+builddir="$srcdir"/xinput_calibrator-$pkgver
+
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --with-gui=x11 \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="20da0a2055a5a75962add8c6b44f60fa xinput_calibrator-0.7.5.tar.gz"